### Virtual Method

# Ide BufferAddin unload

#### Declaration

    void
    unload (
      IdeBufferAddin* self,
      IdeBuffer* buffer
    )

#### Description

This calls the unload virtual function of `IdeBufferAddin` to request that the addin unload itself.

The addin should cancel any in-flight operations and attempt to drop references to the buffer or any other machinery as soon as possible.

Available since: | 3.32

#### Parameters

`buffer` | `IdeBuffer`
| An `IdeBuffer`.
| The data is owned by the caller of the function.